Bug 471827 - catalog should provide reviewers a way to change the "Shipping Information" status back to "No"
catalog should provide reviewers a way to change the "Shipping Information" s...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Hardware Catalog (Show other bugs)
5.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: XINSUN
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-16 20:25 EST by YangKun
Modified: 2009-02-03 23:42 EST (History)
1 user (show)

See Also:
Fixed In Version: 5.3 (hwcert-3.2rh-20090129.0)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-03 23:42:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch fix: (2.30 KB, patch)
2008-12-08 21:44 EST, sfu@redhat.com
no flags Details | Diff

  None (edit)
Description YangKun 2008-11-16 20:25:49 EST
Description of problem:

One issue about the "Shipping Information:" field in our catalog now is: if someone miss filled this area by accident, the "Current Status:" will be changed to "Yes", and there's no way to change this status back to "No" again. 

Even when I tried to remove all the data in the "Shipping Information:" field and then "save changes", the catalog just replies with:
    ---------------------------------------------------
    Shipping Information Needed
    You must enter shipping information for this certification.
    
    Please press Back and try again. 
    ---------------------------------------------------

catalog should provide reviewers a way to change the "Shipping Information" status back to "No".
Comment 1 sfu@redhat.com 2008-12-08 21:44:28 EST
Created attachment 326255 [details]
patch fix:

1.Modify the file of bug/tam_ack.html.tmpl to display the "Shipping Information" status as follows:
     [% IF bug.reporter.login == user.login %]
           No <input type="radio" name="shipped_to_rh" value="0" checked   onchange="shippingTextBox();">
           Yes <input type="radio" name="shipped_to_rh" value="1" onchange="shippingTextBox(); document.changeform.shipping_info.focus();">
     [% ELSIF bug.shipped_to_rh %]
          Yes
          <input type="hidden" name="shipped_to_rh" value="1">  
     [% ELSE %]
           No
           <input type="hidden" name="shipped_to_rh" value="0">
 
2.Modify the file of process.cgi to add the values of "shipped_to_th" and "shipping_info" into database correctly.


Test link is http://bugdev.devel.redhat.com/hwcert-xisun5/show.cgi?id=465648

Please review. 

Best Regards!
Fuyan
Comment 3 Rob Landry 2008-12-11 23:26:10 EST
We need to add a hwcertlog item for this to record when things were changed and what they were changed to/from.  IIRC this field is in the hwcert db so we won't be able to use the bz logging, we'll have to expand the hwcert logging.
Comment 6 XINSUN 2009-01-05 21:07:33 EST
Test well and checked in, change to MODIFIED.

Note You need to log in before you can comment on or make changes to this bug.